SequenceFileAsBinaryOutputFormat.WritableValueBytes (Hadoop 0.20.2-cdh3u5 API)
Date: 2012-10-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapreduce.lib.output
Class SequenceFileAsBinaryOutputFormat.WritableValueBytes

    java.lang.Object
      org.apache.hadoop.mapreduce.lib.output.SequenceFileAsBinaryOutputFormat.WritableValueBytes

All Implemented Interfaces:
  SequenceFile.ValueBytes

Enclosing class:
  SequenceFileAsBinaryOutputFormat

    public static class SequenceFileAsBinaryOutputFormat.WritableValueBytes

extends Object
implements SequenceFile.ValueBytes

Inner class used for appendRaw

Constructor Summary
`SequenceFileAsBinaryOutputFormat.WritableValueBytes()`
`SequenceFileAsBinaryOutputFormat.WritableValueBytes(BytesWritable value)`

Method Summary
`int` | `getSize()` Size of stored data.
`void` | `reset(BytesWritable value)`
`void` | `writeCompressedBytes(DataOutputStream outStream)` Write compressed bytes to outStream.
`void` | `writeUncompressedBytes(DataOutputStream outStream)` Writes the uncompressed bytes to the outStream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceFileAsBinaryOutputFormat.WritableValueBytes

    public SequenceFileAsBinaryOutputFormat.WritableValueBytes()

### SequenceFileAsBinaryOutputFormat.WritableValueBytes

    public SequenceFileAsBinaryOutputFormat.WritableValueBytes(BytesWritable value)

Method Detail

### reset

    public void reset(BytesWritable value)

### writeUncompressedBytes

    public void writeUncompressedBytes(DataOutputStream outStream)
                                throws IOException

  Description copied from interface: `SequenceFile.ValueBytes`
  Writes the uncompressed bytes to the outStream.

  Specified by:
    `writeUncompressedBytes` in interface `SequenceFile.ValueBytes`
  Parameters:
    `outStream` - : Stream to write uncompressed bytes into.
  Throws:
    `IOException`

### writeCompressedBytes

    public void writeCompressedBytes(DataOutputStream outStream)
                              throws IllegalArgumentException,
                                     IOException

  Description copied from interface: `SequenceFile.ValueBytes`
  Write compressed bytes to outStream. Note: that it will NOT compress the bytes if they are not compressed.

  Specified by:
    `writeCompressedBytes` in interface `SequenceFile.ValueBytes`
  Parameters:
    `outStream` - : Stream to write compressed bytes into.
  Throws:
    `IllegalArgumentException`
    `IOException`

### getSize

    public int getSize()

  Description copied from interface: `SequenceFile.ValueBytes`
  Size of stored data.

  Specified by:
    `getSize` in interface `SequenceFile.ValueBytes`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation